summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Manuel Fill <manuel.fill.42@gmail.com>2015-09-16 09:14:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-09-16 12:23:30 +0700
commitf9a70d50147a6987dd17848ec2ea23cb4c4d75ab (patch)
tree737a5ddcf4f7c08dfc116b469b175270227d4fc4 /multimedia
parent09d494a19154d5a3a13bcaacf6d2564106119e97 (diff)
downloadslackbuilds-f9a70d50147a6987dd17848ec2ea23cb4c4d75ab.tar.gz
slackbuilds-f9a70d50147a6987dd17848ec2ea23cb4c4d75ab.tar.xz
multimedia/whistle: Added (ncurses audio player).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/whistle/README2
-rw-r--r--multimedia/whistle/doinst.sh3
-rw-r--r--multimedia/whistle/slack-desc19
-rw-r--r--multimedia/whistle/whistle.SlackBuild80
-rw-r--r--multimedia/whistle/whistle.info10
5 files changed, 114 insertions, 0 deletions
diff --git a/multimedia/whistle/README b/multimedia/whistle/README
new file mode 100644
index 0000000000..351ef98971
--- /dev/null
+++ b/multimedia/whistle/README
@@ -0,0 +1,2 @@
+whistle is a minimal audio player currently capable of playing
+mp3/ogg/flac files. It relies on mplayer as backend.
diff --git a/multimedia/whistle/doinst.sh b/multimedia/whistle/doinst.sh
new file mode 100644
index 0000000000..5013ef6d40
--- /dev/null
+++ b/multimedia/whistle/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/whistle/slack-desc b/multimedia/whistle/slack-desc
new file mode 100644
index 0000000000..8753e4b4de
--- /dev/null
+++ b/multimedia/whistle/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+whistle: whistle (ncurses audio player)
+whistle:
+whistle: whistle is a minimalistic audio player with mplayer backend
+whistle:
+whistle: homepage: https://github.com/ap0calypse/whistle/
+whistle:
+whistle:
+whistle:
+whistle:
+whistle:
+whistle:
diff --git a/multimedia/whistle/whistle.SlackBuild b/multimedia/whistle/whistle.SlackBuild
new file mode 100644
index 0000000000..589c981026
--- /dev/null
+++ b/multimedia/whistle/whistle.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackbuild for whistle
+# Written by Manuel Fill <manuel.fill.42@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=whistle
+VERSION=${VERSION:-0.8.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp whistle $PKG/usr/bin/whistle
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/whistle/whistle.info b/multimedia/whistle/whistle.info
new file mode 100644
index 0000000000..4cefa5a03e
--- /dev/null
+++ b/multimedia/whistle/whistle.info
@@ -0,0 +1,10 @@
+PRGNAM="whistle"
+VERSION="0.8.7"
+HOMEPAGE="https://github.com/ap0calypse/whistle"
+DOWNLOAD="https://github.com/ap0calypse/whistle/archive/0.8.7.tar.gz"
+MD5SUM="e76535c7479d15b0af38d1524bc8f1ec"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Manuel Fill"
+REQUIRES="perl-Curses-UI perl-Audio-FLAC-Header perl-IPC-Run perl-IPC-System-Simple perl-MP3-Info perl-Ogg-Vorbis-Header-PurePerl perl-extutils-depends perl-extutils-pkgconfig perl-file-mimeinfo"
+EMAIL="manuel.fill.42@gmail.com"